spacial_kernel.hh File Reference
`#include <vector>`
`#include <mia/core/defines.hh>`
`#include <mia/core/factory.hh>`
Include dependency graph for spacial_kernel.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C1DFilterKernel
| base class for 1D filter kernels More...
class | C1DFoldingKernel
| Base class for folding kernal types. More...
struct | kernel_plugin_type
struct | spacial_kernel_data

## Typedefs

typedef TFactory< C1DFoldingKernel > | C1DSpacialKernelPlugin
| base class for filters kernels working in the spacial domain
typedef THandlerSingleton< TFactoryPluginHandler< C1DSpacialKernelPlugin > > | C1DSpacialKernelPluginHandler
| plugin handler for spaciel filter kernels
typedef std::shared_ptr< C1DFoldingKernel > | P1DSpacialKernel

## Functions

P1DSpacialKernel | produce_spacial_kernel (const std::string &descr)

## Variables

template<>
const char *const | TPluginHandler< TFactory< C1DFoldingKernel > >::m_help

## Typedef Documentation

## C1DSpacialKernelPlugin

typedef TFactory<C1DFoldingKernel> C1DSpacialKernelPlugin

base class for filters kernels working in the spacial domain

Definition at line 167 of file spacial_kernel.hh.

## C1DSpacialKernelPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C1DSpacialKernelPlugin> > C1DSpacialKernelPluginHandler

plugin handler for spaciel filter kernels

Definition at line 175 of file spacial_kernel.hh.

## P1DSpacialKernel

typedef std::shared_ptr<C1DFoldingKernel> P1DSpacialKernel

Definition at line 169 of file spacial_kernel.hh.

## Function Documentation

## produce_spacial_kernel()

P1DSpacialKernel produce_spacial_kernel | ( | const std::string & | descr | ) |

inline

Definition at line 178 of file spacial_kernel.hh.

References THandlerSingleton< TFactoryPluginHandler< C1DSpacialKernelPlugin > >::instance().

## Variable Documentation

## TPluginHandler< TFactory< C1DFoldingKernel > >::m_help

template<>

const char* const TPluginHandler< TFactory< C1DFoldingKernel > >::m_help

Definition at line 172 of file spacial_kernel.hh.